List Accounts

Responds with accounts collection associated with current user. Has includes of related models, filters, sortings, pagination.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns a paginated list of accounts. The accounts returned depend on the role of the authenticated user.

Role-Based Access

RoleAccounts Returned
IndividualOwn accounts only
Business OwnerOwn accounts only
OperatorOwn accounts only
AdvisorAccounts belonging to clients in their assigned portfolio
Root AdvisorAll accounts across the entire organization
Branch ManagerAccounts for all clients within their branch
Head Branch ManagerAccounts for all clients across branches under their management
Super AdvisorAll accounts organization-wide

Filtering by User

Admin roles (Advisor, Root Advisor, Branch Manager, etc.) can filter results to a specific client using the filter[userId] query parameter.

Example: To list accounts for a specific client:

GET /accounts/private/v1/account?filter[userId]=<clientUserId>
Query Params
string

Applies filter by number or owner name.

string

Applies filter by number or profile name.

string

Applies filter by owner Role.

string

Applies filter by type id.

string

Applies filter by userId.

string
enum

Sorts records. Can be sorted in DESC direction by adding "-" prefix.

Allowed:
integer
1 to 100
Defaults to 20

Number of records to return per page. Default is 20.

integer
≥ 1
Defaults to 1

Page number to return (1-based). Default is 1.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json